%define	major 2
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define staticdevelname %mklibname -d %{name} -s

Summary:	An API for audio analysis and feature extraction plugins
Name:		vamp-plugin-sdk
Version:	2.3
Release:	1
License:	BSD
Group:		System/Libraries
URL:		http://www.vamp-plugins.org/
Source0:	http://code.soundsoftware.ac.uk/attachments/download/224/%{name}-%{version}.tar.gz

Patch0:		%{name}-2.3-libdir.patch

BuildRequires:	libsndfile-devel

%description
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

%package -n	%{libname}
Summary:	An API for audio analysis and feature extraction plugins library
Group:		System/Libraries

%description -n	%{libname}
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

%package -n	%{develname}
Summary:	Development files (headers) for SLV2
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Requires:	pkgconfig

%description -n	%{develname}
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package -n	%{staticdevelname}
Summary:	Development files (headers) for SLV2
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	%{name}-static-devel = %{version}

%description -n	%{staticdevelname}
Vamp is an API for C and C++ plugins that process sampled audio data to produce
descriptive output (measurements or semantic observations).

The %{name}-static package contains library files for developing static
applications that use %{name}.

%prep

%setup -q 
%patch0 -p1 -b .libdir

sed -i 's|/lib/vamp|/%{_lib}/vamp|g' src/vamp-hostsdk/PluginHostAdapter.cpp
sed -i 's|/lib/|/%{_lib}/|g' src/vamp-hostsdk/PluginLoader.cpp

%build
./configure --prefix=/usr \
		--libdir=%{_libdir} \
		--bindir=%{_bindir} \
		--sbindir=%{_sbindir} \
		--includedir=%{_includedir}
#make
%make

%install
# fix libdir
find . -name '*.pc.in' -exec sed -i 's|/lib|/%{_lib}|' {} ';'
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}

find %{buildroot} -name '*.la' -exec rm -f {} ';'

# create Makefile for examples
cd examples
echo CXXFLAGS=$RPM_OPT_FLAGS -fpic >> Makefile
echo bundle: `ls *.o` >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -shared -Wl,-Bsymbolic \
     -o vamp-example-plugins.so \
     *.o \$\(pkg-config --libs vamp-sdk\) >> Makefile
echo `ls *.cpp`: >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -c $*.cpp >> Makefile
echo clean: >> Makefile
echo -e "\t"-rm *.o *.so >> Makefile
# clean directory up so we can package the sources
make clean

%files -n %{libname}
%doc COPYING README
%{_libdir}/*.so.*

%files -n %{develname}
%doc examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/vamp/*
%{_bindir}/vamp-rdf-template-generator
%{_bindir}/vamp-simple-host
%{_libdir}/pkgconfig/*.pc

%files -n %{staticdevelname}
%{_libdir}/*.a



%changelog
* Mon Jan 09 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.3-1
+ Revision: 759182
- version update 2.3

* Mon Oct 24 2011 Alexander Barakin <abarakin@mandriva.org> 2.2-1
+ Revision: 705855
- a lot of rpmlint warning fixes
  version updated to 2.2
  libdir patch added
  configure stage fixed

* Fri May 06 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1-3
+ Revision: 670761
- mass rebuild

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1-2mdv2011.0
+ Revision: 608121
- rebuild

* Tue Dec 22 2009 Caio Begotti <caio1982@mandriva.org> 2.1-1mdv2010.1
+ Revision: 481343
- update vamp-plugin-sdk after a long winter (so that we can import sonic-visualiser)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1b-5mdv2010.0
+ Revision: 427488
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.1b-4mdv2009.1
+ Revision: 261831
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.1b-3mdv2009.0
+ Revision: 255285
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1b-1mdv2008.1
+ Revision: 182977
- import vamp-plugin-sdk

